/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.validaciones;

import com.cosmodas.validaciones.FacturaCuerpo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;

/**
 *
 * @author informatica
 */
public class SpoolPaginas implements Serializable {

    private List<FacturaCuerpo> detalleFactura;
    private String subtotalPasan;
    private String numeroPagina;
    //  private String 

    public List<FacturaCuerpo> getDetalleFactura() {
        return detalleFactura;
    }

    public void setDetalleFactura(List<FacturaCuerpo> detalleFactura) {
        this.detalleFactura = detalleFactura;
    }

    public String getSubtotalPasan() {
        return subtotalPasan;
    }

    public void setSubtotalPasan(String subtotalPasan) {
        this.subtotalPasan = subtotalPasan;
    }

    public String getNumeroPagina() {
        return numeroPagina;
    }

    public void setNumeroPagina(String numeroPagina) {
        this.numeroPagina = numeroPagina;
    }

    @PostConstruct
    public void init() {

        this.detalleFactura = new ArrayList<>();
    }

    public SpoolPaginas() {

    }

    public SpoolPaginas(List<FacturaCuerpo> detalleFactura, String subtotalPasan, String numeroPagina) {
        this.detalleFactura = detalleFactura;
        this.subtotalPasan = subtotalPasan;
        this.numeroPagina = numeroPagina;
    }

}
